Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlUnion

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlUnion

All Implemented Interfaces:
  idlObject, idlUnion, java.io.Serializable

public class IdlUnion
extends IdlObject
implements idlUnion

Cette classe represente l'objet IDL Union

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlUnion(IdlObject father)` Cree un objet IDL Union

Method Summary
`java.util.Enumeration` | `content()` Return this idlObject content
`idlUnion` | `description()` Return the union description ( if forwarded )
`idlObject` | `discriminant()` Return the discriminant type
`IdlUnion` | `getDefinition()`
`int` | `index()` Retourne la position du membre par defaut
`void` | `index(int idx)` Fixe la position du membre par defaut
`boolean` | `isForward()` Return TRUE is this union is forward
`void` | `isForward(boolean forward)`
`IdlObject` | `searchObject(java.lang.String name)` This method returns an contained object
`void` | `setDefinition(IdlUnion def)`

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlUnion

    public IdlUnion(IdlObject father)

  Cree un objet IDL Union

Method Detail

### index

    public void index(int idx)

  Fixe la position du membre par defaut
  Parameters:
    `idx` - la position du membre par defaut

### index

    public int index()

  Retourne la position du membre par defaut
  Returns:
    la position du membre par defaut

### searchObject

    public IdlObject searchObject(java.lang.String name)

  This method returns an contained object
  Overrides:
    `searchObject` in class `IdlObject`

### isForward

    public boolean isForward()

  Description copied from interface: `idlUnion`
  Return TRUE is this union is forward
  Specified by:
    `isForward` in interface `idlUnion`

### isForward

    public void isForward(boolean forward)

### getDefinition

    public IdlUnion getDefinition()

### setDefinition

    public void setDefinition(IdlUnion def)

### discriminant

    public idlObject discriminant()

  Description copied from interface: `idlUnion`
  Return the discriminant type
  Specified by:
    `discriminant` in interface `idlUnion`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

### description

    public idlUnion description()

  Description copied from interface: `idlUnion`
  Return the union description ( if forwarded )
  Specified by:
    `description` in interface `idlUnion`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD